Lootly Seller APILootly Seller API
Товары

Список товаров

Все товары магазина (полные объекты), новые сверху.

GET
/products
АвторизацияBearer <token>

API-ключ магазина как Bearer-токен: Authorization: Bearer lootly_sk_…

В: header

Query-параметры

page?integer
limit?integer

Тело ответа

application/json

application/json

curl -X GET "https://example.com/products"
{  "success": true,  "data": {    "products": [      {        "id": "string",        "title": "string",        "description": "string",        "categoryId": "string",        "active": true,        "archived": true,        "external": true,        "currencyRateId": "string",        "price": 0,        "priceRub": 0,        "imageId": "string",        "imageUrl": "string",        "employeeReward": {          "type": "",          "value": 0        },        "fields": [          {            "id": "string",            "type": "text",            "label": "string",            "required": true,            "multiple": true,            "options": [              {                "id": "string",                "label": "string",                "price": 0              }            ],            "valuePricing": true,            "valueMin": 0,            "valueMax": 0,            "valueStep": 0,            "dataRequest": true,            "dataRequestWebhookUrl": "string",            "requestAfterPayment": true          }        ],        "filters": [          {            "filterId": "string",            "optionIds": [              "string"            ]          }        ],        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z"      }    ],    "total": 0,    "page": 0,    "limit": 0  }}
{  "success": false,  "error": {    "code": "API_KEY_INVALID"  }}